
QGIS Application - Bug report #19310

Crash ID: 3af9288f3c3044d05c69c7c0c499752ff2c22b9f

2018-06-29 08:23 PM - Ryan Springer

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 27138

Description

Stack Trace

memmove :

VSICreateCachedFile :

NITFReadImageBlock :

NITFReadICHIPB :

GDALRasterBand::GetLockedBlockRef :

GDALRasterBand::IRasterIO :

GDALProxyRasterBand::IRasterIO :

GDALRasterBand::RasterIO :

VRTSimpleSource::RasterIO :

VRTSourcedRasterBand::IRasterIO :

TILDataset::Identify :

GDALDataset::BandBasedRasterIO :

GDALDataset::IRasterIO :

GDALDataset::RasterIO :

GDALWarpOperation::WarpRegionToBuffer :

GDALWarpOperation::WarpRegionToBuffer :

VRTWarpedDataset::ProcessBlock :

VRTWarpedRasterBand::IReadBlock :

GDALRasterBand::GetLockedBlockRef :

GDALRasterBand::ComputeStatistics :

GDALRasterBand::GetStatistics :

GDALWarpOperation::operator= :

QgsRasterInterface::initHistogram :

QgsRasterInterface::hasHistogram :

GDALWarpOperation::operator= :

QgsRasterHistogramWidget::computeHistogram :

QgsRasterHistogramWidget::refreshHistogram :

QgsRasterHistogramWidget::setRendererWidget :

QgsRasterLayerProperties::setRendererWidget :

QgsRasterLayerProperties::QgsRasterLayerProperties :

QgisApp::showLayerProperties :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :
QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: bc43194061
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-07-20 08:08 AM - Nyall Dawson

- Status changed from Open to Feedback

Please attach the raster file which caused this error.

#2 - 2018-08-16 10:26 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
